Skip site navigation (1) Skip section navigation (2)

BUG #3256: msi installer failed to upgrade to newer version

From: "Hao Zhang" <digizer0(at)hotmail(dot)com>
To: pgsql-bugs(at)postgresql(dot)org
Subject: BUG #3256: msi installer failed to upgrade to newer version
Date: 2007-04-27 07:51:46
Message-ID: 200704270751.l3R7pkh8050521@wwwmaster.postgresql.org (view raw or flat)
Thread:
Lists: pgsql-bugs
The following bug has been logged online:

Bug reference:      3256
Logged by:          Hao Zhang
Email address:      digizer0(at)hotmail(dot)com
PostgreSQL version: 8.2.4
Operating system:   Windows XP SP2
Description:        msi installer failed to upgrade to newer version
Details: 

When using the win32 msi installer to upgrade server from 8.2.3 to 8.2.4,
the installer failed and gave me an error message as this: Error 1923.
Service 'PostgreSQL Database Server 8.2' (pgsql-8.2) could not be installed.
Verify that you have sufficient privileges to install system services.

But since I have the administrator privilege, there should not be any
privilege problem I think.

Steps I performed: (all were under administrator privilege)

1. clean installed ver. 8.2.3, specified a unprivilege user to run the
server process
2. run the upgrade.bat from ver. 8.2.4.

BTW. this problem do not exist for this version only, the 8.1.x series also
has the same problem.

I can provide the install log if it's needed.

Responses

pgsql-bugs by date

Next:From: Magnus HaganderDate: 2007-04-27 08:10:59
Subject: Re: BUG #3256: msi installer failed to upgrade to newer version
Previous:From: Bernd FuhrmannDate: 2007-04-27 07:43:36
Subject: BUG #3255: Proper escaping missing

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group